jQuery(document).ready(function($) {
    const variationForm = $('.variations_form');
    if (!variationForm.length) return;

    function updateVariationDisplay(variation) {
        const container = $('.woocommerce-variation-custom-data');
        if (!container.length) return;

        if (!variation) {
            container.hide();
            return;
        }

        let html = '';
        // Loop through variation data
        Object.keys(variation).forEach(key => {
            if (key.endsWith('_html') && 
                !['price_html', 'availability_html', 'variation_description'].includes(key)) {
                html += variation[key];
            }
        });

        if (html) {
            container.html(html).show();
        } else {
            container.hide();
        }
    }

    // Listen for variation changes
    variationForm.on('show_variation', function(event, variation) {
        updateVariationDisplay(variation);
    });

    variationForm.on('hide_variation', function() {
        updateVariationDisplay(null);
    });

    // Check for pre-selected variations
    const initialVariation = variationForm.data('product_variations');
    if (initialVariation && initialVariation.length === 1) {
        updateVariationDisplay(initialVariation[0]);
    }
});
