<?php
/**
 * Single variation display
 *
 * This is a javascript-based template for single variations (see https://codex.wordpress.org/Javascript_Reference/wp.template).
 * The values will be dynamically replaced after selecting attributes.
 *
 * @see https://woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 9.3.0
 */

defined( 'ABSPATH' ) || exit;

?>
<script type="text/template" id="tmpl-variation-template">
	<div class="woocommerce-variation-description">{{{ data.variation.variation_description }}}</div>
	<div class="woocommerce-variation-price">{{{ data.variation.price_html }}}</div>
	<div class="woocommerce-variation-bottom">{{{ data.variation.bottom_html }}}</div>
    <div class="woocommerce-variation-depth">{{{ data.variation.depth_html }}}</div>
    <div class="woocommerce-variation-volume">{{{ data.variation.volume_html }}}</div>
    <div class="woocommerce-variation-wthickness">{{{ data.variation.wthickness_html }}}</div>
    <div class="woocommerce-variation-bthickness">{{{ data.variation.bthickness_html }}}</div>
    <div class="woocommerce-variation-handle">{{{ data.variation.handle_html }}}</div>
    <div class="woocommerce-variation-weight">Тегло : {{{ data.variation.weight_html }}}</div>
</script>
<script type="text/template" id="tmpl-unavailable-variation-template">
	<p role="alert"><?php esc_html_e( 'Sorry, this product is unavailable. Please choose a different combination.', 'woocommerce' ); ?></p>
</script>